Name: python-module-jinja2
Version: 2.5.5
Release: alt1.1

Summary: The new and improved version of a small but fast template engine
License: BSD
Group: Development/Python
Url: http://jinja.pocoo.org/2/

Packager: Eugeny A. Rostovtsev (REAL) <real at altlinux.org>

Source0: %name-%version.tar
Patch: %name-%version-%release.patch

BuildArch: noarch

BuildPreReq: python-devel python-module-setuptools
# for docs
#BuildPreReq: python-module-sphinx python-module-Pygments
#BuildPreReq: python-module-jinja2-tests

Requires: %name-tests = %version-%release

%description
Jinja2 is a template engine written in pure Python. It provides a Django
inspired non-XML syntax but supports inline expressions and an optional
sandboxed environment.


%package tests
Summary: Tests for Jinja2
Group: Development/Python
Requires: %name = %version-%release

%description tests
Jinja2 is a template engine written in pure Python. It provides a Django
inspired non-XML syntax but supports inline expressions and an optional
sandboxed environment.

This package contains tests for Jinja2.

#%package doc
#Summary: Documentation for Jinja2
#Group: Development/Documentation

#%description doc
#Jinja2 is a template engine written in pure Python. It provides a Django
#inspired non-XML syntax but supports inline expressions and an optional
#sandboxed environment.

#This package contains HTML documentation for Jinja2.

#%package pickles
#Summary: Pickles for Jinja2
#Group: Development/Python

#%description pickles
#Jinja2 is a template engine written in pure Python. It provides a Django
#inspired non-XML syntax but supports inline expressions and an optional
#sandboxed environment.

#This package contains pickles for Jinja2.


%prep
%setup
%patch -p1

%build
%python_build
#%make_build -C docs html
#%make_build -C docs pickle

%install
%python_install
# IronPython support
rm -f %buildroot%python_sitelibdir/jinja2/_ipysupport.py

#cp -fR docs/_build/pickle %buildroot%python_sitelibdir/jinja2/

#%%check
#make test

%files
%python_sitelibdir/jinja2/
%python_sitelibdir/*.egg-info
%exclude %python_sitelibdir/jinja2/tests.py*
%exclude %python_sitelibdir/jinja2/testsuite
#%exclude %python_sitelibdir/jinja2/pickle
%doc AUTHORS CHANGES
%doc ext/

%files tests
%python_sitelibdir/jinja2/tests.py*
%python_sitelibdir/jinja2/testsuite

#%files doc
#%doc docs/_build/html/*

#%files pickles
#%dir %python_sitelibdir/jinja2
#%python_sitelibdir/jinja2/pickle

%changelog
* Fri Oct 21 2011 Vitaly Kuznetsov <vitty@altlinux.ru> 2.5.5-alt1.1
- Rebuild with Python-2.7 (bootstraping without docs)

* Tue Nov 23 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.5.5-alt1
- Version 2.5.5

* Mon Aug 02 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.5-alt2
- Added requirement on tests package

* Mon Aug 02 2010 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.5-alt1
- Version 2.5
- Extracted tests into separate package
- Added pickles

* Thu Nov 12 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.2.1-alt1.2
- Enable building of documentation

* Thu Nov 12 2009 Eugeny A. Rostovtsev (REAL) <real at altlinux.org> 2.2.1-alt1.1
- Rebuilt with python 2.6 (bootstrap)

* Thu Sep 17 2009 Andrey Rahmatullin <wrar@altlinux.ru> 2.2.1-alt1
- 2.2.1
- enable building of documentation
- build as noarch

* Mon May 04 2009 Andrey Rahmatullin <wrar@altlinux.ru> 2.1.1-alt1
- initial build
